﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WindowsFormsApp1.Core;
using WindowsFormsApp1.Factory.request;
using WindowsFormsApp1.Factory.response.account;

namespace WindowsFormsApp1.Factory
{
    /*
     *机构账号创建 
     */
    class CreateOrganizationsByThirdPartyUserId : EsignRequest<CreateOrganizationsByThirdPartyUserIdResponse>
        
    {
        public string thirdPartyUserId { set; get; }
        public string creator { set; get; }
        public string name { set; get; }
        public string idType { set; get; }
        public string idNumber { set; get; }
        public string orgLegalIdNumber { set; get; }
        public string orgLegalName { set; get; }

        public CreateOrganizationsByThirdPartyUserId(string thirdPartyUserId, string creator, string name, string idType, string idNumber)
        {
            this.thirdPartyUserId = thirdPartyUserId;
            this.creator = creator;
            this.name = name;
            this.idType = idType;
            this.idNumber = idNumber;
        }
        public CreateOrganizationsByThirdPartyUserId build()
        {
            base.Url = "/v1/organizations/createByThirdPartyUserId";
            base.ReqType = HttpType.POST;
            return this;
        }
    }
}
