﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WindowsFormsApp1.Core;
using WindowsFormsApp1.Factory.request;
using WindowsFormsApp1.Factory.response.account;

namespace WindowsFormsApp1.Factory.account
{
    /*
     * 个人账号创建
     */
    class CreatePersonByThirdPartyUserId : EsignRequest<CreatePersonByThirdPartyUserIdResponse>
    {
        public CreatePersonByThirdPartyUserId(string thirdPartyUserId, string name, string idType, string idNumber)
        {
            this.thirdPartyUserId = thirdPartyUserId;
            this.name = name;
            this.idType = idType;
            this.idNumber = idNumber;
        }

        public string thirdPartyUserId { set; get; }
        public string name { set; get; }
        public string idType { set; get; }
        public string idNumber { set; get; }
        public string mobile { set; get; }
        public string email { set; get; }




        public CreatePersonByThirdPartyUserId build()
        {
            base.Url = "/v1/accounts/createByThirdPartyUserId";
            base.ReqType = HttpType.POST;
            return this;
        }
    }
}
