﻿using Newtonsoft.Json;
using RealName.Factory.response.comm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WindowsFormsApp1.Core;
using WindowsFormsApp1.Factory.request;

namespace RealName.Factory.comm
{
    class QryIdentityOutline : EsignRequest<QryIdentityOutlineResponse>
    {
        [JsonIgnore]
        public string flowId;

        public QryIdentityOutline(string flowId)
        {
            this.flowId = flowId;
        }

        public QryIdentityOutline build() {
            base.Url = "/v2/identity/auth/api/common/" + flowId + "/outline";
            base.ReqType = HttpType.GET;
            return this;
        }
    }
}
