﻿using RealName.Factory.response.infoverify;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WindowsFormsApp1.Core;
using WindowsFormsApp1.Factory.request;

namespace RealName.Factory.infoverify
{
    /*
     *个人二要素比对 
     */
    class IndividualBase : EsignRequest<IndividualBaseResponse>
    {
        public string idNo { set; get; }
        public string name { set; get; }

        public IndividualBase(string idNo, string name)
        {
            this.idNo = idNo;
            this.name = name;
        }

        public IndividualBase build(){
            base.Url = "/v2/identity/verify/individual/base";
            base.ReqType = HttpType.POST;
            return this;
        }
    }
}
